## blendsel 0.5ubuntu1

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/blendsel
DESCDIR=tasks
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=ar ast be bg bn bs ca cs cy da de dz el eo es et eu fa fi fr ga gl gu he hi hr hu hy id is it ja ka kk km ko ku lt lv mg mk ml mr nb ne nl nn pa pl pt_BR pt ro ru si sk sl sq sr sr@latin sv ta te tg th tl tr uk vi wo zh_CN zh_TW
LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(TASKDESC)

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/lib/blendsel/tests \
		$(DESTDIR)/usr/lib/blendsel/packages \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 blendsel.pl $(DESTDIR)/usr/bin/blendsel
	install -m 755 blendsel-debconf $(DESTDIR)/usr/lib/blendsel/
	install -m 755 tests/new-install $(DESTDIR)/usr/lib/blendsel/tests/
	install -m 755 tests/debconf $(DESTDIR)/usr/lib/blendsel/tests/
	install -m 755 packages/list $(DESTDIR)/usr/lib/blendsel/packages/
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) blendsel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/blendsel.8.gz
#	for lang in $(LANGS); do \
#		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
#		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
#	done

install-data:
	install -d $(DESTDIR)$(TASKDIR)/descs \
		$(DESTDIR)/usr/lib/blendsel/tests
	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)/descs
	for test in tests/*; do \
		[ "$$test" = "tests/new-install" ] && continue; \
		[ "$$test" = "tests/debconf" ] && continue; \
		install -m 755 $$test $(DESTDIR)/usr/lib/blendsel/tests/; \
	done
	for package in packages/*; do \
		[ "$$package" = "packages/list" ] && continue; \
		install -m 755 $$package $(DESTDIR)/usr/lib/blendsel/packages/; \
	done
#	for lang in $(LANGS_DESC); do \
#		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
#		install -m 644 $(DESCDIR)/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
#	done

clean:
	rm -f $(TASKDESC) *~
	$(MAKE) -C po clean

## blendsel 0.4

=== debian/changelog ===
blendsel (0.4) unstable; urgency=medium

  * Team upload.

  [ Frans Spiesschaert ]
  * Updated Dutch program translation. Closes: #1090841
  * Updated Dutch debconf translation. Closes: #1090380

  [ Holger Wansing ]
  * Updated German debconf translation.

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 03 Jan 2025 05:51:58 +0100

blendsel (0.3) unstable; urgency=medium

  * Team upload.

  * Switch to real blend names.

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 04 Dec 2024 00:21:51 +0100

blendsel (0.2) unstable; urgency=medium

  [ Holger Wansing ]
  * Add translators to debian/copyright, as requested by ftp-master.
  * Some more renaming tasksel to blendsel.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 02 Dec 2024 18:43:59 +0100

blendsel (0.1) unstable; urgency=medium

  * Fork tasksel (version 3.74), to make it an installer for Debian pure
    blends.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 12 May 2024 11:25:48 +0200

=== debian/control ===
Source: blendsel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Holger Wansing <hwansing@mailbox.org>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/blendsel
Vcs-Git: https://salsa.debian.org/installer-team/blendsel.git
Rules-Requires-Root: no

Package: blendsel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, blendsel-data
Description: tool for selecting blends for installation on Debian systems
 This package provides 'blendsel', a simple interface for users who
 want to install one of the Debian pure blends.

Package: blendsel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: blendsel
Description: official blend data used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-astro-blend
Architecture: all
Description: astronomy (Debian Astro)
 This package is used to install the Debian Astro blend.
Depends: ${misc:Depends},
	astro-all

Package: task-med-blend
Architecture: all
Description: Debian in health care (Debian Med)
 This package is used to install the Debian med blend.
Depends: ${misc:Depends},
	med-all

Package: task-junior-desktop-blend
Architecture: all
Description: for kids (Debian Junior)
 This package is used to install the Debian Junior blend.
Depends: ${misc:Depends},
	junior-desktop

## blendsel 0.5

=== debian/changelog ===
blendsel (0.5) unstable; urgency=medium

  * Adapt blends description (review by blends people).
  * Format optimization of blendsel dialog.
    * Including unfuzzying of translations and refreshing po|pot files.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 09 Jan 2025 09:12:43 +0100

=== debian/control ===
--- 
+++ 
@@ -32,21 +32,21 @@
 
 Package: task-astro-blend
 Architecture: all
-Description: astronomy (Debian Astro)
+Description: Debian Astro (professional and hobby astronomers)
  This package is used to install the Debian Astro blend.
 Depends: ${misc:Depends},
 	astro-all
 
 Package: task-med-blend
 Architecture: all
-Description: Debian in health care (Debian Med)
+Description: Debian Med (life sciences and medicine)
  This package is used to install the Debian med blend.
 Depends: ${misc:Depends},
 	med-all
 
 Package: task-junior-desktop-blend
 Architecture: all
-Description: for kids (Debian Junior)
+Description: Debian Junior (children and their guides)
  This package is used to install the Debian Junior blend.
 Depends: ${misc:Depends},
 	junior-desktop

## blendsel 0.5ubuntu1

=== debian/changelog ===
blendsel (0.5ubuntu1) plucky; urgency=medium

  * Move to the metapackages section from tasks, this is valid in Launchpad.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 03 Mar 2025 19:52:29 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: blendsel
-Section: tasks
+Section: metapackages
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Holger Wansing <hwansing@mailbox.org>
 Standards-Version: 4.6.1
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --no-parallel

override_dh_auto_install:
	$(MAKE) install DESTDIR=`pwd`/debian/blendsel
	$(MAKE) install-data DESTDIR=`pwd`/debian/blendsel-data

override_dh_installdocs:
	dh_installdocs --link-doc=blendsel

override_dh_perl:
	dh_perl -d

## blendsel 0.8

=== debian/changelog ===
blendsel (0.8) unstable; urgency=medium

  [ Updated debconf translations ]
  * Brazilian Portuguese (pt_BR.po) by Adriano Rafael Gomes. Closes: #1103450.
  [ Updated program translations ]
  * German (de.po) by Holger Wansing.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 19 Apr 2025 22:01:18 +0200

blendsel (0.7) unstable; urgency=medium

  * Force alphabetical ordering of freedombox blend in the UI.

  [ Updated debconf translations ]
  * Romanian (ro.po) by Remus-Gabriel Chelu. Closes: #1101832.
  [ Updated program translations ]
  * Romanian (ro.po) by Remus-Gabriel Chelu. Closes: #1101886.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 06 Apr 2025 23:05:46 +0200

blendsel (0.6) unstable; urgency=medium

  * Change Relevance to 1 for all blends, since we want alphabetic ordering.
  * Add debian-science blend.
  * Fix po file headers.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure.
  * Spanish (es.po) by jathan and Camaleón.
  * Turkish (tr.po) by Atila KOÇ. Closes: #1095210.
  * Brazilian Portuguese (pt_BR.po) by Paulo Henrique de Lima Santana.
    Closes: #1098748.

  [ Dave Hibberd ]
  * Add debian-hamradio blend

  [ James Valleroy ]
  * Add freedombox blend.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 31 Mar 2025 20:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: blendsel
-Section: metapackages
+Section: tasks
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Holger Wansing <hwansing@mailbox.org>
 Standards-Version: 4.6.1
 Build-Depends:
@@ -51,3 +50,24 @@
  This package is used to install the Debian Junior blend.
 Depends: ${misc:Depends},
 	junior-desktop
+
+Package: task-science-blend
+Architecture: all
+Description: Debian Science (various sciences)
+ This package is used to install the Debian science blend.
+Depends: ${misc:Depends},
+	science-all
+
+Package: task-freedombox-blend
+Architecture: all
+Description: FreedomBox home server
+ This package is used to install the FreedomBox home server blend.
+Depends: ${misc:Depends},
+	fbx-all
+
+Package: task-hamradio-blend
+Architecture: all
+Description: Debian Hamradio (amateur radio, SDR and hobby radio)
+ This package is used to install the Debian Hamradio blend.
+Depends: ${misc:Depends},
+	hamradio-all

## blendsel 0.9

=== debian/changelog ===
blendsel (0.9) unstable; urgency=medium

  [ Dave Hibberd ]
  * Remove the errant comma causing hamradio to not install. Closes: #1106127.

  [ Cyril Brulebois ]
  * Detect commas in package descriptions (unsupported for now, leading to
    uninstallable packages) at build time. See: #1004090, #1106127.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 23 May 2025 01:48:17 +0200

## blendsel 0.10

=== debian/changelog ===
blendsel (0.10) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update debconf translation into Catalan.
  * Add program translation into Catalan.

  [ Américo Monteiro ]
  * Update debconf translation into Portuguese. Closes: #1107449.

  [ Aigars Mahinovs ]
  * Latvian debconf translation.

  [ Changwoo Ryu ]
  * Korean debconf and program translation.

  [ YOSHINO Yoshihito ]
  * Japanese debconf and program translation.

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 14 Jul 2025 21:31:52 +0200

=== debian/control ===
--- 
+++ 
@@ -67,7 +67,7 @@
 
 Package: task-hamradio-blend
 Architecture: all
-Description: Debian Hamradio (amateur radio, SDR and hobby radio)
+Description: Debian Hamradio (amateur and hobby radio)
  This package is used to install the Debian Hamradio blend.
 Depends: ${misc:Depends},
 	hamradio-all

## blendsel 0.10ubuntu1

=== po/Makefile ===
XGETTEXT = xgettext --keyword=_ --keyword=N_ --add-comments=TRANS:
POTFILE = blendsel.pot
MOS:=$(addsuffix .mo, $(LANGS))

all: $(POTFILE) $(MOS)
	touch build_stamp

$(POTFILE): ../blendsel.pl
	$(XGETTEXT) -o $(POTFILE)-update ../blendsel.pl
	if test -f $(POTFILE); then \
	  if diff -I '^"POT-Creation-Date:' -I '^Report-Msgid-Bugs-To:' $(POTFILE) $(POTFILE)-update >/dev/null 2>&1; then \
	      rm -f $(POTFILE)-update; \
	  else \
	      rm -f $(POTFILE); \
	      mv $(POTFILE)-update $(POTFILE); \
	  fi; \
	else \
	  mv $(POTFILE)-update $(POTFILE); \
	fi

%.mo: %.po
	msgfmt -o $@ $<

clean:
	-rm -f build_stamp
	-rm -f *.mo

update: $(addprefix update-, $(LANGS))

update-%: %.po $(POTFILE)
	mv $< $<.bak
	msgmerge $<.bak $(POTFILE) > $<

=== debian/changelog ===
blendsel (0.10ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Move to the metapackages section from tasks, this is valid in Launchpad.

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Jul 2025 07:54:30 +0100

blendsel (0.9ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Move to the metapackages section from tasks, this is valid in Launchpad.

 -- Rik Mills <rikmills@kde.org>  Mon, 26 May 2025 13:54:05 +0100

blendsel (0.8ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Move to the metapackages section from tasks, this is valid in Launchpad.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 15:04:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: blendsel
-Section: tasks
+Section: metapackages
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Holger Wansing <hwansing@mailbox.org>
 Standards-Version: 4.6.1
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,10 @@
 
 override_dh_perl:
 	dh_perl -d
+
+override_dh_clean:
+	dh_clean
+	if grep '^Description: .*,' debian/control; then \
+		echo "E: found tasks that won't be installable (see #1004090, #1106127)"; \
+		exit 1; \
+	fi

## blendsel 0.11

=== debian/changelog ===
blendsel (0.11) unstable; urgency=medium

  [ Miguel Figueiredo ]
  * Updated Portuguese program translation.

  [ Luca Monducci ]
  * Updated Italian translations.

  [ Baptiste Jammet ]
  * Updated French debconf translation. Closes: #1114998.
  * Updated French program translation. Closes: #1115246.

  [ Yangfl ]
  * Updated debconf translations into Chinese. Closes: #1124824.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 10 Jan 2026 23:29:51 +0100

## blendsel 0.11ubuntu1

=== debian/changelog ===
blendsel (0.11ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Move to the metapackages section from tasks, this is valid in Launchpad.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 14:01:10 +0000
